import { FindOneOptions, ObjectId, FindOptionsWhere } from 'typeorm';
import { EntityTarget } from 'typeorm/common/EntityTarget';
import { QueryDeepPartialEntity } from 'typeorm/query-builder/QueryPartialEntity';
declare module 'typeorm' {
    interface Repository<Entity> {
        findOneLock(options: FindOneOptions<Entity>): Promise<Entity | null>;
        insertOrFail(entity: QueryDeepPartialEntity<Entity>): Promise<Entity>;
        updateOrFail(criteria: string | string[] | number | number[] | Date | Date[] | ObjectId | ObjectId[] | FindOptionsWhere<Entity>, partialEntity: QueryDeepPartialEntity<Entity>): Promise<void>;
        deleteOrFail(criteria: EntityTarget<Entity>): Promise<void>;
    }
}
